This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 502083 - Private browsing + "Show a blank page" opens tabs from last time
Private browsing + "Show a blank page" opens tabs from last time
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-21 15:05 EDT by Dan Williams
Modified: 2009-06-01 09:41 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-01 09:41:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 495775 None None None Never

  None (edit)
Description Dan Williams 2009-05-21 15:05:01 EDT
Turning private browsing on and closing the browser causes subsequent runs of the browser to automatically load the tabs that were open when private browsing was turned on.

1. rm -rf ~/.mozilla
2. Launch firefox
3. load some site in a tab
4. Open Preferences
5. in the "Main" preferences page:
      a. When firefox starts -> Show a blank page
      b. clear the "Home Page" entry
6. in the privacy preferences page
      a. choose "use custom settings for history"
      b. Check "Automatically start firefox in private browsing mode"
7. Close the preferences dialog
8. Quit firefox
9. Re-launch firefox
10. observe that it opens the tab that was there when you picked "Show a blank page" in preferences

Additionally, the "Privacy" page's "Firefox will..." dropdown reverts to "Never remember history" instead of "Custom settings for history"
Comment 1 Matěj Cepl 2009-06-01 09:41:00 EDT
We filed this bug in the upstream database (https://bugzilla.mozilla.org/show_bug.cgi?id=495775) and believe that it is more appropriate to let it be resolved upstream.

Red Hat will continue to track the issue in the centralized upstream bug tracker, and will review any bug fixes that become available for consideration in future updates.

Thank you for the bug report.

Note You need to log in before you can comment on or make changes to this bug.